package com.yutou.qqbot.models.Commands.System;

import com.yutou.qqbot.Annotations.UseModel;
import com.yutou.qqbot.models.Model;
import com.yutou.qqbot.utlis.RedisTools;
import com.yutou.napcat.event.MessageEvent;

import java.text.SimpleDateFormat;
import java.util.Date;
@UseModel
public class OpenPC extends Model {
    @Override
    public boolean isUserPublic() {
        return false;
    }

    @Override
    public String[] getUsePowers() {
        return new String[]{
                QQGroupCommands.QQ_OPEN_PC
        };
    }

    @Override
    public String getModelName() {
        return "远程开机";
    }

    @Override
    public void onMessage(Long qq, MessageEvent event, boolean isGroup) {
        super.onMessage(qq, event, isGroup);
        if(msg.equals(QQGroupCommands.QQ_OPEN_PC)){
            RedisTools.Consumer.system("openPC", null);
        }
    }
}
